package models

import (
	"time"
)

type CmSafe struct {
	Id               int       `xorm:"not null pk autoincr comment('自增id') INT(11)"`
	BidsectionId     int       `xorm:"not null default 0 comment('标段id') INT(11)"`
	Code             string    `xorm:"comment('编号') VARCHAR(128)"`
	CreateTime       time.Time `xorm:"comment('检查时间') DATETIME"`
	EndTime          time.Time `xorm:"comment('结束时间') DATETIME"`
	Position         string    `xorm:"comment('检查部位') VARCHAR(1024)"`
	Inspection       string    `xorm:"comment('检查项目') VARCHAR(3072)"`
	InspectionDetail string    `xorm:"comment('现场检查情况') TEXT"`
	Demand           string    `xorm:"comment('处理要求') VARCHAR(128)"`
	Status           int       `xorm:"default 0 comment('状态(0待审批1通过2退回3关闭)') INT(11)"`
	Uid              int       `xorm:"not null default 0 comment('创建者id') INT(11)"`
	Times            int       `xorm:"default 0 comment('审批次数') INT(11)"`
}
